Home

Unity SDK

The Openfort SDK for Unity helps you integrate your game.

note

SUPPORTED PLATFORMS

  • Windows (64-bit)
  • macOS (minimum version 12.5)
  • Android (minimum version 5.1)
  • iOS (minimum version 15.2)

note

SUPPORTED UNITY VERSIONS

  • Unity 2021.3 or newer for Windows, macOS, Android and iOS
  • Unity 2019.4 or newer for macOS, Android, and iOS. Windows isn't supported on Unity versions from 2019.4 up through 2021.2.

note

TARGET PLATFORM VS UNITY EDITOR PLATFORM We have added compilation flags to the Unity SDK to ensure that specific Unity editors can only build certain platform targets. Please note that the table below indicates which editor you can use to build a platform target, but it does not determine whether you can run the SDK in that editor.

For example, the SDK allows you to build iOS games using a macOS Unity Editor, but you cannot use the Windows Unity Editor.

Target PlatformWindowsmacOSAndroidiOS
Windows Unity Editor
macOS Unity Editor

Creating an OAuth2.0 Native client#

Installation#

Dependencies#

Quick Start#

Initialise#

Logging in#

Initialise the provider and wallet#

Stored Credentials#

Logging out#

Android, iOS and macOS PKCE login and logout#

Send Transaction#

Supported Functionality#

Get support#

If you found a bug or want to suggest a new [feature/use case/sample], please file an issue.

If you have questions, comments, or need help with code, we're here to help: